using System.Collections;
using System.Collections.Generic;
using UnityEditor;
using UnityEngine;

public class LogSetting : Editor
{

#if LOGCAT_SERVER
    [MenuItem("Logcat/LogSetting/Log_Client")]
    public static void SettingClient()
    {
        //当前的发布环境
        var buildTargetGroup = BuildPipeline.GetBuildTargetGroup(EditorUserBuildSettings.activeBuildTarget);

        //添加当前平台的预编译
        PlayerSettings.SetScriptingDefineSymbolsForGroup(buildTargetGroup, "LOGCAT_CLIENT");
    }  
#else
    [MenuItem("Logcat/LogSetting/Log_Server")]
    public static void SettingServer()
    {
        //当前的发布环境
        var buildTargetGroup = BuildPipeline.GetBuildTargetGroup(EditorUserBuildSettings.activeBuildTarget);

        //添加当前平台的预编译
        PlayerSettings.SetScriptingDefineSymbolsForGroup(buildTargetGroup, "LOGCAT_SERVER");
    }
#endif
}
